## xnetcardconfig 0.2.0-1

=== Makefile ===
#!/usr/bin/env make
#
# $Id: Makefile,v 1.1.1.1 2004/08/09 20:40:34 bmeurer Exp $
#
# Copyright (c) 2004 os-cillation
# All rights reserved.
#
# Written by Benedikt Meurer <bm@os-cillation.de>.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#

prefix=/usr

INSTALL_DIR=	install -d -o root -m 0755
INSTALL_DATA=	install -c -o root -m 0644
INSTALL_SCRIPT=	install -c -o root -m 0755

all: xnetcardconfig xnetcardconfig.real

install: all
	$(INSTALL_DIR) $(DESTDIR)$(prefix)/bin
	$(INSTALL_DIR) $(DESTDIR)$(prefix)/share/applications
	$(INSTALL_DIR) $(DESTDIR)$(prefix)/share/apps/xnetcardconfig
	$(INSTALL_DIR) $(DESTDIR)$(prefix)/share/pixmaps

	$(INSTALL_SCRIPT) xnetcardconfig $(DESTDIR)$(prefix)/bin/xnetcardconfig
	$(INSTALL_SCRIPT) xnetcardconfig.real $(DESTDIR)$(prefix)/bin/xnetcardconfig.real
	$(INSTALL_DATA) card.png $(DESTDIR)$(prefix)/share/pixmaps/xnetcardconfig.png
	$(INSTALL_DATA) card.png $(DESTDIR)$(prefix)/share/apps/xnetcardconfig/card.png
	$(INSTALL_DATA) logo.png $(DESTDIR)$(prefix)/share/apps/xnetcardconfig/logo.png
	$(INSTALL_DATA) xnetcardconfig.desktop $(DESTDIR)$(prefix)/share/applications/xfld-xnetcardconfig.desktop

xnetcardconfig: xnetcardconfig.in
	sed -e s,@PREFIX@,$(prefix),g < xnetcardconfig.in > xnetcardconfig
	chmod 0755 xnetcardconfig

xnetcardconfig.real: xnetcardconfig.real.in
	sed -e s,@PREFIX@,$(prefix),g < xnetcardconfig.real.in > xnetcardconfig.real
	chmod 0755 xnetcardconfig.real

clean:
	@rm -f xnetcardconfig
	@rm -f xnetcardconfig.real

=== debian/changelog ===
xnetcardconfig (0.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Benedikt Meurer <bm@os-cillation.de>  Fri, 28 Jan 2005 13:48:12 +0100

xnetcardconfig (0.1.1-7) unstable; urgency=low

  * Don't run xnetcardconfig automatically on startup, now that we have
    xfld-welcome.
  * Use XPM for the Debian menu.

 -- Benedikt Meurer <bm@os-cillation.de>  Sat, 08 Jan 2005 13:44:50 +0100

xnetcardconfig (0.1.1-6) unstable; urgency=low

  * Fix setup script.

 -- Benedikt Meurer <bm@os-cillation.de>  Wed, 06 Oct 2004 10:40:33 +0200

xnetcardconfig (0.1.1-4) unstable; urgency=low

  * Fixed bug with hardcoded 'eth0' interface.

 -- Benedikt Meurer <bm@os-cillation.de>  Tue, 10 Aug 2004 12:23:21 +0200

xnetcardconfig (0.1.1-3) unstable; urgency=low

  * Added dependency on pump and conflicts with dhcp-client to make sure
    that the user doesn't try to execute us while running a dhcp-client.

 -- Benedikt Meurer <bm@os-cillation.de>  Tue, 10 Aug 2004 08:33:17 +0200

xnetcardconfig (0.1.1-2) unstable; urgency=low

  * Small optimization.

 -- Benedikt Meurer <bm@os-cillation.de>  Mon, 09 Aug 2004 22:51:54 +0200

xnetcardconfig (0.1.1-1) unstable; urgency=low

  * Fixed a few bugs and added error message if no supported network
    cards were found.

 -- Benedikt Meurer <bm@os-cillation.de>  Mon, 09 Aug 2004 22:44:33 +0200

xnetcardconfig (0.1.0-2) unstable; urgency=low

  * Added network.setup functionality.

 -- Benedikt Meurer <bm@os-cillation.de>  Mon, 09 Aug 2004 22:16:44 +0200

xnetcardconfig (0.1.0-1) unstable; urgency=low

  * Initial version.

 -- Benedikt Meurer <bm@os-cillation.de>  Mon, 09 Aug 2004 21:17:15 +0200

=== debian/control ===
Source: xnetcardconfig
Section: x11
Priority: optional
Maintainer: Benedikt Meurer <bm@os-cillation.de>
Build-Depends: debhelper (>= 4.1.26)
Uploaders: Benedikt Meurer <bm@os-cillation.de>
Standards-Version: 3.6.1

Package: xnetcardconfig
Architecture: all
Depends: libgtk2-ruby, pump, ruby, xbase-clients, xsu
Conflicts: dhcp-client
Suggests: menu, sudo, xfld-welcome
Conflicts: menu (<< 2.1.12)
Description: A simple network card configuration for X.
 This package contains a tool that allows you to configure
 your network cards using an easy wizard.
 .
 Homepage: http://www.os-cillation.com/

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/xnetcardconfig

	install -d $(CURDIR)/debian/xnetcardconfig/usr/share/pixmaps
	install -c -m 644 $(CURDIR)/debian/xnetcardconfig.xpm \
		$(CURDIR)/debian/xnetcardconfig/usr/share/pixmaps

	perl -0777 -i -pe 's,^#!/usr/bin/env ruby,#!/usr/bin/ruby,;' `pwd`/debian/xnetcardconfig/usr/bin/xnetcardconfig.real

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## xnetcardconfig 0.2.1

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,9 @@
 INSTALL_DATA=	install -c -o root -m 0644
 INSTALL_SCRIPT=	install -c -o root -m 0755
 
+VERSION?=0.0.$(shell date +%Y%m%d)
+PACKAGE=xnetcardconfig
+
 all: xnetcardconfig xnetcardconfig.real
 
 install: all
@@ -53,5 +56,12 @@
 	chmod 0755 xnetcardconfig.real
 
 clean:
-	@rm -f xnetcardconfig
-	@rm -f xnetcardconfig.real
+	@rm -f xnetcardconfig xnetcardconfig.real *~
+
+tarball: clean
+	cd .. && ln -fs $(shell basename ${CURDIR}) ${PACKAGE}-${VERSION}
+	cd .. && tar cfzvh ${PACKAGE}-${VERSION}.tar.gz \
+	 --exclude "debian" --exclude "CVS" --exclude ".bzr" \
+	 ${PACKAGE}-${VERSION}/
+
+#eof

## xnetcardconfig 0.3.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/env make
 #
-# $Id: Makefile,v 1.1.1.1 2004/08/09 20:40:34 bmeurer Exp $
+# file: Makefile
 #
 # Copyright (c) 2004 os-cillation
 # All rights reserved.
@@ -22,14 +22,15 @@
 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 # 02111-1307, USA.
 #
-
+package?=xnetcardconfig
+DESTDIR?=/usr/local/opt/${package}
 prefix=/usr
 
 INSTALL_DIR=	install -d -o root -m 0755
 INSTALL_DATA=	install -c -o root -m 0644
 INSTALL_SCRIPT=	install -c -o root -m 0755
 
-VERSION?=0.0.$(shell date +%Y%m%d)
+VERSION?=0.0.$(shell date -u +%Y%m%d)
 PACKAGE=xnetcardconfig
 
 all: xnetcardconfig xnetcardconfig.real
@@ -47,21 +48,30 @@
 	$(INSTALL_DATA) logo.png $(DESTDIR)$(prefix)/share/apps/xnetcardconfig/logo.png
 	$(INSTALL_DATA) xnetcardconfig.desktop $(DESTDIR)$(prefix)/share/applications/xfld-xnetcardconfig.desktop
 
+clean:
+	@rm -f xnetcardconfig xnetcardconfig.real *~ */*~
+
+dist: rule/tarball
+
+distclean: clean
+
+
 xnetcardconfig: xnetcardconfig.in
-	sed -e s,@PREFIX@,$(prefix),g < xnetcardconfig.in > xnetcardconfig
-	chmod 0755 xnetcardconfig
+	sed -e s,@PREFIX@,$(prefix),g < $< > $@
+	chmod 0755 $@
 
 xnetcardconfig.real: xnetcardconfig.real.in
-	sed -e s,@PREFIX@,$(prefix),g < xnetcardconfig.real.in > xnetcardconfig.real
-	chmod 0755 xnetcardconfig.real
+	sed -e s,@PREFIX@,$(prefix),g < $< > $@
+	chmod 0755 $@
 
-clean:
-	@rm -f xnetcardconfig xnetcardconfig.real *~
-
-tarball: clean
-	cd .. && ln -fs $(shell basename ${CURDIR}) ${PACKAGE}-${VERSION}
+rule/tarball: clean
+	[ ! -r ../${PACKAGE}-${VERSION} ] || exit 1
+	cd .. && ln -s $(shell basename ${CURDIR}) ${PACKAGE}-${VERSION}
 	cd .. && tar cfzvh ${PACKAGE}-${VERSION}.tar.gz \
-	 --exclude "debian" --exclude "CVS" --exclude ".bzr" \
+	  --exclude-vcs \
+	  --exclude "debian" \
+	  --exclude "CVS" --exclude ".bzr" --exclude '.git' \
+	  --exclude "*~" \
 	 ${PACKAGE}-${VERSION}/
 
 #eof

=== debian/changelog ===
xnetcardconfig (0.3.0-1) unstable; urgency=medium

  * New upstream release (Close: #750816)
  * debian/control: migrate to use gtk3
  * debian/watch: fix launchpad.net url (Close: #551345)
  * debian/*: improve to match current standards

 -- Philippe Coval <rzr@gna.org>  Sun, 04 Jan 2015 21:40:24 +0100

xnetcardconfig (0.2.1-1) unstable; urgency=low
  
  * New upstream release
  * Integration into debian (Closes: #474036)
  * Updated debian/*  by new maintainer
	
 -- Philippe Coval <rzr@users.sf.net>  Wed, 02 Apr 2008 18:42:29 +0200

=== debian/control ===
Source: xnetcardconfig
Section: x11
Priority: optional
Maintainer: Philippe Coval <rzr@gna.org>
Build-Depends: debhelper (>= 4.1.26), docbook-to-man, docbook-utils
Standards-Version: 3.9.6
Homepage: https://launchpad.net/xnetcardconfig

Package: xnetcardconfig
Architecture: all
Depends:  ${misc:Depends},
  ruby,
  ruby-gtk3, ruby-gdk3,
  pump,
  sudo, gksu
Description: Simple network card configuration wizard for X
 This package contains a tool that allows you to configure
 your network cards using an easy wizard.

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,23 @@
 #!/usr/bin/make -f
+PACKAGE?=xnetcardconfig
 
-build: build-stamp
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-stamp
+
 build-stamp:
 	dh_testdir
 	$(MAKE)
+	docbook-to-man debian/${PACKAGE}.sgml > debian/${PACKAGE}.1
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp 
-	-$(MAKE) clean
+	$(MAKE) clean || echo "# $@"
 	dh_clean
 
 install: build
@@ -31,6 +38,8 @@
 	dh_testroot
 	dh_installdocs
 	dh_installmenu
+	dh_installman
+	dh_link
 	dh_installchangelogs ChangeLog
 	dh_compress
 	dh_fixperms

=== debian/watch ===
version=3

https://launchpad.net/xnetcardconfig/+download \
 https://launchpad.net/xnetcardconfig/trunk/[\d\.]+/\+download/xnetcardconfig-(.*)\.tar\.gz
